classification
Title: Add post/pre hooks for distutils commands
Type: enhancement Stage: resolved
Components: Distutils2 Versions: Python 3.1, Python 3.2, Python 2.7, Python 2.6, Python 2.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: tarek Nosy List: eric.araujo, konryd, meatballhat, tarek, zubin71
Priority: normal Keywords: gsoc

Created on 2010-04-04 21:54 by tarek, last changed 2010-09-07 15:23 by eric.araujo. This issue is now closed.

Messages (5)
msg102353 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-04-04 21:54
Add hooks to a script can be launched before/after a command.

This will be useful to build pre/post commit hooks for install/uninstall commands for instance
msg112331 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-08-01 14:12
Should hooks be allowed for any command or just build and install?
msg112513 - (view) Author: Konrad Delong (Konrad.Delong) Date: 2010-08-02 18:52
I see no reasons to limit the command set to just these two.
msg112569 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-08-03 10:12
And if you don’t allow hooks on other commands, people can still subclass them to add hooks support. I guess it’s best to keep it a consenting adults matter and not adding a restriction that can easily be circumvented.
msg115775 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-09-07 15:23
Hooks implemented for any command by Konrad and merged into the main repo.
History
Date User Action Args
2010-09-07 15:23:02eric.araujosetstatus: open -> closed
resolution: accepted -> fixed
messages: + msg115775

stage: needs patch -> resolved
2010-08-03 10:12:37eric.araujosetmessages: + msg112569
2010-08-02 18:54:04konrydsetnosy: - Konrad.Delong
2010-08-02 18:52:56Konrad.Delongsetnosy: + Konrad.Delong
messages: + msg112513
2010-08-01 14:12:10eric.araujosetversions: + Python 2.6, Python 2.5, Python 3.1, Python 2.7, Python 3.2
resolution: accepted
messages: + msg112331

keywords: + gsoc
type: enhancement
stage: needs patch
2010-05-09 16:47:57Konrad.Delongsetnosy: + konryd
2010-05-01 01:36:39meatballhatsetnosy: + meatballhat
2010-04-06 22:48:08eric.araujosetnosy: + eric.araujo
2010-04-06 11:40:33zubin71setnosy: + zubin71
2010-04-04 21:54:59tarekcreate